Subject: RE: [Sip] How to indicate during proxy discoverythataproxysupports "outbound"

From: "Christer Holmberg \(JO/LMF\)" <[email-masked]>
Date: Mon, 3 Apr 2006 09:25:37 +0200

Hi,

I can't speak for how obvious things are to people. But, I don't think
we can make decissions based on such things. If something is unclear, it
needs to be clarified.

And, what is important in this specific case is that the outbound proxy
supports OPTIONS, so I assume anyone implementing outbound would also
make sure the proxy would be able to handle OPTIONS.

Regards,

Christer

-----Original Message-----
From: Hadriel Kaplan [mailto:[email-masked]] 
Sent: 3. huhtikuuta 2006 9:17
To: Christer Holmberg (JO/LMF); [email-masked]
Subject: RE: [Sip] How to indicate during proxy
discoverythataproxysupports "outbound"

Funny - those were similar words to what I asked someone I know about
the Options idea a couple days ago.  The act of checking, and how, still
needs to be documented because it's simply not obvious to people.  I've
been told the support of Options, however, is unfortunately not as
prevalent as one would hope on legacy proxies. (also because it was not
obvious)  Maybe the SIPit folks have more data on that.  It's also not
clear all registrars would accept an Options before registration.

The proxy-require/require in a Register, on the other hand, works with
any proxy/registrar we've seen and is the least burden for all nodes I
think.

-hadriel

> -----Original Message-----
> From: Christer Holmberg [mailto:[email-masked]]
> Sent: Monday, April 03, 2006 1:33 AM
> To: Hadriel Kaplan; [email-masked]
> Subject: RE: [Sip] How to indicate during proxy 
> discoverythataproxysupports "outbound"
> 
> Hi Hadriel,
> 
> My mail was rabout the OPTIONS alternative. And, you wouldn't even 
> need Require there, because the outbound proxy would simply reply what

> it supports. In fact, no standardization is required for that, so 
> should we mention it as an option?
> 
> And, if there are no issues (removal of options tags from the 
> P-R/Require header by proxy) with the REGISTER alternative I don't 
> have any issues with that solution - as long as we document the 
> assumptions and restriction.
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip